Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417168 - [python27] memory leak in "test_tcl.py" (valgrind) RHEL6/7
Summary: [python27] memory leak in "test_tcl.py" (valgrind) RHEL6/7
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: python
Version: python27
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Python Maintainers
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 12:06 UTC by Branislav Náter
Modified: 2019-06-14 13:06 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 13:06:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Branislav Náter 2017-01-27 12:06:25 UTC
Description of problem:
During running python unit tests under valgrind, memory leaks has been found (definitely lost bytes != 0)

Affected tests: test_tcl.py

Version-Release number of selected component (if applicable):
python27-python-2.7.13-1.el{6,7}

How reproducible:
Running /CoreOS/python/Sanity/unit-tests or individual upstream test under valgrind

Steps to Reproduce:
1. su pythontester -c 'valgrind python test__tcl.py'

Actual results:
:: [   FAIL   ] :: Running test_tcl.py (Expected 0, got 1)
:: [  BEGIN   ] :: Running test_tcl.py in verbose mode :: actually running 'valgrind python regrtest.py test_tcl.py <empty 2>&1 | tail -20'
==6813==    by 0x4D090A7: load_source_module (import.c:1121)
==6813==    by 0x4D0A570: import_submodule (import.c:2725)
==6813==    by 0x4D0A7E3: load_next (import.c:2539)
==6813== 
1 test OK.
==6813== 
==6813== HEAP SUMMARY:
==6813==     in use at exit: 4,124,293 bytes in 17,848 blocks
==6813==   total heap usage: 303,584 allocs, 285,736 frees, 43,725,640 bytes allocated
==6813== 
==6813== LEAK SUMMARY:
==6813==    definitely lost: 1,216 bytes in 37 blocks
==6813==    indirectly lost: 0 bytes in 0 blocks
==6813==      possibly lost: 2,452,063 bytes in 4,372 blocks
==6813==    still reachable: 1,671,014 bytes in 13,439 blocks
==6813==         suppressed: 0 bytes in 0 blocks
==6813== Rerun with --leak-check=full to see details of leaked memory
==6813== 
==6813== For counts of detected and suppressed errors, rerun with: -v
==6813== ERROR SUMMARY: 175 errors from 14 contexts (suppressed: 123 from 9)

Expected results:
No memory leaks.

Additional info:
Full beaker log: http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2017/01/16861/1686176/3451813/50490867/TESTOUT.log

Comment 3 Joe Orton 2018-01-31 13:57:17 UTC
Red Hat does not currently plan to provide any further changes to this collection in a Red Hat Software Collections update release.

This software collection is nearing the retirement date (April 2018) after which customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/

Comment 4 Joe Orton 2019-06-14 13:06:50 UTC
In accordance with the Red Hat Software Collections Product Life Cycle, the support period for this collection has ended.

New bug fix, enhancement, and security errata updates, as well as technical support services will no longer be made available for this collection.

Customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/


Note You need to log in before you can comment on or make changes to this bug.